summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorruki <[email protected]>2023-11-21 23:02:59 +0800
committerruki <[email protected]>2023-11-21 23:02:59 +0800
commitf9065b4b16508676d4a66c687beba4a1a9d3196f (patch)
tree06cfbd6235750acb98ee6ffe59a795d11d403633
parentc445254e918e5091c641832c687d5b7857be0949 (diff)
fix os.runv
-rwxr-xr-xscripts/makeppa2
-rw-r--r--xmake/core/base/os.lua2
2 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makeppa b/scripts/makeppa
index 652cd44c5..6421f0155 100755
--- a/scripts/makeppa
+++ b/scripts/makeppa
@@ -32,7 +32,7 @@ basename=xmake-$version+$patch$serie
tarball=$workdir/$basename.tar.gz
if [ ! -f $tarball ]; then
cd core
- xmake pack -vD --autobuild=n --formats=src_targz --basename=xmake -o ../artifacts
+ xmake pack --autobuild=n --formats=src_targz --basename=xmake -o ../artifacts || exit -1
cd ..
cp ./artifacts/xmake.tar.gz $tarball
fi
diff --git a/xmake/core/base/os.lua b/xmake/core/base/os.lua
index ed5490b7d..9bf835456 100644
--- a/xmake/core/base/os.lua
+++ b/xmake/core/base/os.lua
@@ -727,7 +727,7 @@ function os.runv(program, argv, opt)
local logfile = os.tmpfile()
-- execute it
- local ok, errors = os.execv(program, argv, table.join(opt, {stdout = logfile, stderr = logfile}))
+ local ok, errors = os.execv(program, argv, table.join(opt, {stdout = opt.stdout or logfile, stderr = opt.stderr or logfile}))
if ok ~= 0 then
-- get command